"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

const getErrorBundle = logger => ({
  name: 'errorBundle',
  getMiddleware: () => () => next => action => {
    try {
      return next(action);
    } catch (error) {
      logger.error({
        error: {
          message: error.message,
          stack: error.stack
        },
        message: 'middlewareCaughtError',
        action
      });
      throw error;
    }
  }
});

var _default = getErrorBundle;
exports.default = _default;